<!-- Thanks for reporting an issue.
Please describe your issue in detail, such that it can be reproduced by somebody else.
For rendering issues, please provide:
* A screenshot illustrating the issue (just drag-n-drop an image into your browser).
* Source code to reproduce the issue, e.g. a YAML or rosbag file with a MarkerArray msg.
Use [gist.github.com](gist.github.com) to copy-paste the console output or segfault backtrace using gdb.

Note: Due to the lack of active maintainers, currently we can only provide limited support.
Particularly, we focus on the latest releases, Noetic and Melodic, only.
If you can track the issue down yourself and provide a pull request, that would be a great help.
Thanks for considering this.
-->

Describe your issue here and explain how to reproduce it.

### Your environment
* OS Version: e.g. Ubuntu 18.04
* ROS Distro: [Kinetic | Melodic | Noetic]
* RViz, Qt, OGRE, OpenGl version as printed by rviz:
    ```
    paste your console output here
    ```
* If source build, which git commit?
* System locale, i.e. the output of `echo "$LANG $LC_NUMERIC"`:
  Before reporting a rendering issue, try running RViz with `LANG=C rviz`!
